Summary:	Gettext translation file editor
Summary(de):	Editor zum Anfertigen von Gettext-Programmübersetzungen
Name:		poedit
Version:	3.2
Release:	%mkrel 1
License:	MIT
Group:		Editors
URL:		http://www.poedit.net
Source0:	https://github.com/vslavik/poedit/releases/download/v%{version}-oss/%{name}-%{version}.tar.xz
Patch0:		poedit-3.1.1-dont-generate-icon-cache.patch
BuildRoot:      %_tmppath/%{name}-%{version}-buildroot
Requires:	    gettext
BuildRequires:	lib64wxgtku3.0-devel
BuildRequires:	lib64boost-devel
BuildRequires:	lib64lucene++-devel
BuildRequires:	lib64pugixml-devel
BuildRequires:	lib64cpprest-devel
BuildRequires:	lib64gtkspell3-devel
BuildRequires:	po4a
BuildRequires:  zip
Requires(Pre):	shared-mime-info
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Poedit is a cross-platform gettext catalogs (.po files) editor. It is built with
wxWindows toolkit and can run on Unix or Windows. It aims to provide convenient
way of editing gettext catalogs. It features UTF-8 support, fuzzy and
untranslated records highlighting, whitespaces highlighting, references
browser, headers editing and can be used to create new catalogs or update
existing catalogs from source code by single click.

%description -l de
Poedit ist ein plattformübergreifender Editor für gettext .po Dateien. Er wurde mit 
dem WxWindows Toolkit aufgebaut und kann auf UNIX- oder Windows ausgeführt werden. Er 
soll eine bequeme Möglichkeit der Bearbeitung von Gettext Katalogen bereitstellen. 
Er bietet UTF-8-Unterstützung, hervorheben von unübersetzten oder undeutlichen 
Einträgen, Hervorhebung nicht druckbarer Zeichen, Referenzen suchen, Kopfzeilen 
bearbeiten und kann neue Kataloge erstellen oder vorhandene Kataloge, vom Quellcode 
durch einfaches Klicken, aktualisieren.


%prep
%setup -q
%apply_patches

%build
%configure2_5x 
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std


# remove files not bundled
%__rm -f %{buildroot}/%{_iconsdir}/poedit.xpm

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%clean
%__rm -rf %{buildroot}

%files
%{_bindir}
%{_datadir}

%changelog
* Mon Nov 07 2022 tex - 3.2-1pclos2022
- new version

* Sun Sep 18 2022 tex - 2.4.3-3pclos2022
- rebuild against updates

* Tue Sep 13 2022 tex - 2.4.3-2pclos2022
- rebuild against updates

* Fri Sep 17 2021 tex - 2.4.3-1pclos2021
- new version

* Fri Nov 20 2020 tex - 2.4.2-1pclos2020
- new version

* Tue Aug 18 2020 tex - 2.4.1-1pclos2020
- new version

* Wed Feb 05 2020 tex - 2.3-1pclos2020
- new version

* Sun Oct 06 2019 tex - 2.2.4-2pclos2019
- rebuild against updates

* Tue Oct 01 2019 tex - 2.2.4-1pclos2019
- new version

* Sat Jun 01 2019 tex - 2.2.3-2pclos2019
- rebuild against updates

* Thu May 23 2019 tex - 2.2.3-1pclos2019
- new version

* Wed Dec 06 2017 pp <pp> 2.0.5-1pclos2017
- update

